Package org.eclipse.mat.internal.acquire

## Class VmInfoDescriptor

- java.lang.Object
- - org.eclipse.mat.query.registry.AnnotatedObjectDescriptor
  - - org.eclipse.mat.internal.acquire.VmInfoDescriptor

All Implemented Interfaces:
  `IAnnotatedObjectDescriptor`

    public class VmInfoDescriptor
    extends AnnotatedObjectDescriptor

No Extend:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`VmInfoDescriptor​(java.lang.String identifier, java.lang.String name, java.lang.String usage, java.lang.String help, java.lang.String helpUrl, java.util.Locale helpLocale, VmInfo vmInfo)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static VmInfoDescriptor` `createDescriptor​(VmInfo vmInfo)`
`VmInfo` `getVmInfo()`

### Methods inherited from class org.eclipse.mat.query.registry.AnnotatedObjectDescriptor

`addParameter, getArguments, getHelp, getHelpLocale, getHelpUrl, getIcon, getIdentifier, getName, getUsage, isHelpAvailable, setUsage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VmInfoDescriptor

    public VmInfoDescriptor​(java.lang.String identifier,
                            java.lang.String name,
                            java.lang.String usage,
                            java.lang.String help,
                            java.lang.String helpUrl,
                            java.util.Locale helpLocale,
                            VmInfo vmInfo)

### Method Detail

#### getVmInfo

    public VmInfo getVmInfo()

#### createDescriptor

    public static final VmInfoDescriptor createDescriptor​(VmInfo vmInfo)
                                                   throws SnapshotException

Throws:
  `SnapshotException`